namespace TwitchChatTTS.Twitch.Socket.Messages
{
    public class ChannelCustomRedemptionMessage
    {
        public required string BroadcasterUserId { get; set; }
        public required string BroadcasterUserLogin { get; set; }
        public required string BroadcasterUserName { get; set; }
        public required string Id { get; set; }
        public required string UserId { get; set; }
        public required string UserLogin { get; set; }
        public required string UserName { get; set; }
        public required string UserInput { get; set; }
        public required string Status { get; set; }
        public DateTime RedeemedAt { get; set; }
        public required RedemptionReward Reward { get; set; }
    }

    public class RedemptionReward
    {
        public required string Id { get; set; }
        public required string Title { get; set; }
        public required string Prompt { get; set; }
        public int Cost { get; set; }
    }
}